package redner

import (
	"database/sql"
	"errors"
	"fmt"

	"github.com/Masterminds/squirrel"
	"orus.io/orus-io/go-orusapi/database"

	"orus.io/orus-io/rednerd/models"
)

func LoadTemplate(db *database.SQLHelper, account, name string) (*models.TemplateDB, error) {
	var templatedb models.TemplateDB
	if err := db.GetWhere(
		&templatedb,
		squirrel.Eq{
			models.TemplateDBAccountColumn: account,
			models.TemplateDBNameColumn:    name,
		},
	); err != nil {
		if errors.Is(err, sql.ErrNoRows) {
			return nil, fmt.Errorf(
				"%w: no such template '%s/%s'",
				ErrInvalidInput, account, name)
		}

		return nil, err
	}

	templatedb.FromDB()

	return &templatedb, nil
}
