package models

import (
	"fmt"
	"strings"
)

type RenderErrors []RenderError

func (err RenderError) Error() string {
	return fmt.Sprintf("%s (line %d): %s [%v]", err.Engine, err.Line, err.Message, err.Extra)
}

func (err RenderErrors) Error() string {
	serr := make([]string, len(err))
	for i, e := range err {
		serr[i] = e.Error()
	}

	return strings.Join(serr, ",")
}
