// Code generated by go-swagger; DO NOT EDIT.

package user_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"orus.io/orus-io/rednerd/models"
)

// UserGetOKCode is the HTTP code returned for type UserGetOK
const UserGetOKCode int = 200

/*UserGetOK The user information


swagger:response userGetOK
*/
type UserGetOK struct {

	/*
	  In: Body
	*/
	Payload *models.Userinfo `json:"body,omitempty"`
}

// NewUserGetOK creates UserGetOK with default headers values
func NewUserGetOK() *UserGetOK {

	return &UserGetOK{}
}

// WithPayload adds the payload to the user get o k response
func (o *UserGetOK) WithPayload(payload *models.Userinfo) *UserGetOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user get o k response
func (o *UserGetOK) SetPayload(payload *models.Userinfo) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserGetOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// UserGetUnauthorizedCode is the HTTP code returned for type UserGetUnauthorized
const UserGetUnauthorizedCode int = 401

/*UserGetUnauthorized Unauthorized

swagger:response userGetUnauthorized
*/
type UserGetUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserGetUnauthorized creates UserGetUnauthorized with default headers values
func NewUserGetUnauthorized() *UserGetUnauthorized {

	return &UserGetUnauthorized{}
}

// WithPayload adds the payload to the user get unauthorized response
func (o *UserGetUnauthorized) WithPayload(payload *models.Error) *UserGetUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user get unauthorized response
func (o *UserGetUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserGetUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// UserGetNotFoundCode is the HTTP code returned for type UserGetNotFound
const UserGetNotFoundCode int = 404

/*UserGetNotFound the user does not exist

swagger:response userGetNotFound
*/
type UserGetNotFound struct {
}

// NewUserGetNotFound creates UserGetNotFound with default headers values
func NewUserGetNotFound() *UserGetNotFound {

	return &UserGetNotFound{}
}

// WriteResponse to the client
func (o *UserGetNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(404)
}

/*UserGetDefault generic error response

swagger:response userGetDefault
*/
type UserGetDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserGetDefault creates UserGetDefault with default headers values
func NewUserGetDefault(code int) *UserGetDefault {
	if code <= 0 {
		code = 500
	}

	return &UserGetDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user get default response
func (o *UserGetDefault) WithStatusCode(code int) *UserGetDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user get default response
func (o *UserGetDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user get default response
func (o *UserGetDefault) WithPayload(payload *models.Error) *UserGetDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user get default response
func (o *UserGetDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserGetDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
